Name:           telepathy-glib
Version:        0.7.5
Release:        4%{?dist}
Summary:        GLib bindings for Telepathy

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://telepathy.freedesktop.org/wiki/FrontPage
Source0:        http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk-doc
BuildRequires:  dbus-devel >= 0.95
BuildRequires:	dbus-glib-devel >= 0.73
BuildRequires:	glib2-devel >= 2.10
BuildRequires:	libxslt
BuildRequires:	python

# https://bugzilla.redhat.com/show_bug.cgi?id=436773
Patch0:		telepathy-glib-broken-pkgconfig.patch

%description
Telepathy-glib is the glib bindings for the telepathy unified framework
for all forms of real time conversations, including instant messaging, IRC, 
voice calls and video calls.


%package 	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	telepathy-filesystem
Requires:	dbus-devel >= 0.95
Requires:	dbus-glib-devel >= 0.73
Requires:	glib2-devel >= 2.10
Requires:	pkgconfig


%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1 -b .requires

%check
#make check


%build
%configure --enable-static=no
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog
%{_libdir}/libtelepathy-glib*.so.*


%files devel
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/html/%{name}/
%{_libdir}/libtelepathy-glib.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/telepathy-1.0/%{name}/


%changelog
* Mon Mar 24 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.5-4
- Bump.

* Fri Mar 21 2008 - Bastien Nocera <bnocera@redhat.com> - 0.7.5-3
- Really fix #436773

* Mon Mar 10 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.5-2
- Add requires for glib2-devel to devel package. (#436773)

* Fri Mar  7 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.5-1
- Update to 0.7.5.
- Remove hack to fix ppc64 build.  fixed upstream.

* Thu Mar  6 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.4-1
- Update to 0.7.4.
- Disable test for now.
- Add hack to fix build on ppc64.

* Fri Feb  8 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.0-2
- Rebuild for gcc-4.3.

* Fri Nov 23 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.7.0-1
- Update to 0.7.0.
- Drop unstable-static subpackage.
- Bump min. versions of dbus-devel & dbus-glib-devel.

* Mon Nov 12 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.6.1-1
- Update to 0.6.1.

* Wed Aug 29 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.14-1
- Update to 0.5.14.

* Tue Aug 28 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.13-6
- Add BR on python.

* Tue Aug 21 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.13-5
- Rebuild.

* Sun Aug  5 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.13-4
- Update license tag.

* Mon Jun 18 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.13-3
- Add check section to run test suite.
- Mark gtk-docs as docs.

* Sat Jun 16 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.13-2
- Change Group to more accurate categoryn.
- Require pkgconfig on the devel package.
- Move headers for unstable libs to unstable-static sub-pacakge.

* Tue Jun  5 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.13-1
- Update to 0.5.13.

* Wed May 16 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.11-1
- Update to 0.5.11.

* Sat Apr 21 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.10-1
- Intial spec.

